/*****************************************************************************************
 ** File     : MyRegKey.h
 ** Date     : 03/24/2002
 ** Author   : Osama Dengler <osama@denglernet.de>
 ** Abstract : Extended CRegKey class. Handles Registry access in a convienient way.
 **
 ** Copyright (C) Osama Dengler 2002
 **
 ** This program is free software; you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation; either version 2 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************************/
#if !defined(AFX_MYREGKEY_H__6DAD2C03_3F67_11D6_AAA8_00105A45B1C4__INCLUDED_)
#define AFX_MYREGKEY_H__6DAD2C03_3F67_11D6_AAA8_00105A45B1C4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <atlbase.h>
class CMyRegKey : public CRegKey  
{
public:
	BOOL SetValue(BOOL Value, PTSTR pValueName);
	BOOL SetValue(CString& Value, PTSTR pValueName);
	BOOL m_IsOpen;
	BOOL QueryValue(BOOL* pDest, PTSTR pValueName);
	BOOL QueryValue(CString& Dest, PTSTR pValueName);
	CMyRegKey();
	virtual ~CMyRegKey();

};

#endif // !defined(AFX_MYREGKEY_H__6DAD2C03_3F67_11D6_AAA8_00105A45B1C4__INCLUDED_)
